<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelInventorySpaceSlot Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelInventorySpaceSlot Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelInventorySpaceSlot" --><!-- doxytag: inherits="iBase" -->
<p>A slot in the inventory system.  
 <a href="structiCelInventorySpaceSlot.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="inv_8h_source.html">propclass/inv.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelInventorySpaceSlot:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelInventorySpaceSlot.png" usemap="#iCelInventorySpaceSlot_map" alt=""/>
  <map id="iCelInventorySpaceSlot_map" name="iCelInventorySpaceSlot_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,144,24"/>
</map>
 </div></div>

<p><a href="structiCelInventorySpaceSlot-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelInventorySpaceSlot.html#a687c7435ae80e0020bf555d1776240ca">AddEntity</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *entity, <a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an entity in this slot.  <a href="#a687c7435ae80e0020bf555d1776240ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelInventorySpaceSlot.html#aa8fac88c817bbaf341fa07c126ee7059">GetCount</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return number of entities inside this slot.  <a href="#aa8fac88c817bbaf341fa07c126ee7059"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelInventorySpaceSlot.html#abb5e0c80e82dcb78254f4e8c331e62d6">GetEntity</a> (<a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an entity on this slot.  <a href="#abb5e0c80e82dcb78254f4e8c331e62d6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelInventorySpaceSlot.html#a04d1097acf671eae58ad984ea893bb1a">IsEmpty</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if there are entities in this slot.  <a href="#a04d1097acf671eae58ad984ea893bb1a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelInventorySpaceSlot.html#aab4fb6fe7ec8da9c38fda1504f93afb3">RemoveAll</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove all entities in this slot.  <a href="#aab4fb6fe7ec8da9c38fda1504f93afb3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelInventorySpaceSlot.html#ae9e3f15deb74e78e4df6aa8f5a8c354a">RemoveEntity</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove this entity from the slot.  <a href="#ae9e3f15deb74e78e4df6aa8f5a8c354a"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A slot in the inventory system. </p>
<p>Applications can implement this to make any kind of slot system (like a 2D based grid). </p>

<p>Definition at line <a class="el" href="inv_8h_source.html#l00053">53</a> of file <a class="el" href="inv_8h_source.html">inv.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a687c7435ae80e0020bf555d1776240ca"></a><!-- doxytag: member="iCelInventorySpaceSlot::AddEntity" ref="a687c7435ae80e0020bf555d1776240ca" args="(iCelEntity *entity, iCelParameterBlock *params)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelInventorySpaceSlot.html#a687c7435ae80e0020bf555d1776240ca">iCelInventorySpaceSlot::AddEntity</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add an entity in this slot. </p>
<p>If you support stacking then you can use 'params' to specify where to stack. /return false if the entity can't be added for some reason. </p>

</div>
</div>
<a class="anchor" id="aa8fac88c817bbaf341fa07c126ee7059"></a><!-- doxytag: member="iCelInventorySpaceSlot::GetCount" ref="aa8fac88c817bbaf341fa07c126ee7059" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiCelInventorySpaceSlot.html#aa8fac88c817bbaf341fa07c126ee7059">iCelInventorySpaceSlot::GetCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return number of entities inside this slot. </p>

</div>
</div>
<a class="anchor" id="abb5e0c80e82dcb78254f4e8c331e62d6"></a><!-- doxytag: member="iCelInventorySpaceSlot::GetEntity" ref="abb5e0c80e82dcb78254f4e8c331e62d6" args="(iCelParameterBlock *params)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelEntity.html">iCelEntity</a>* <a class="el" href="structiCelInventorySpaceSlot.html#abb5e0c80e82dcb78254f4e8c331e62d6">iCelInventorySpaceSlot::GetEntity</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an entity on this slot. </p>
<p>If there are more entities on this slot then you can use the abstract 'params' to specify the correct one. The exact parameter specification depends on the implementation of this slot. If you don't support stacking then you can ignore this parameter. </p>

</div>
</div>
<a class="anchor" id="a04d1097acf671eae58ad984ea893bb1a"></a><!-- doxytag: member="iCelInventorySpaceSlot::IsEmpty" ref="a04d1097acf671eae58ad984ea893bb1a" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelInventorySpaceSlot.html#a04d1097acf671eae58ad984ea893bb1a">iCelInventorySpaceSlot::IsEmpty</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if there are entities in this slot. </p>

</div>
</div>
<a class="anchor" id="aab4fb6fe7ec8da9c38fda1504f93afb3"></a><!-- doxytag: member="iCelInventorySpaceSlot::RemoveAll" ref="aab4fb6fe7ec8da9c38fda1504f93afb3" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelInventorySpaceSlot.html#aab4fb6fe7ec8da9c38fda1504f93afb3">iCelInventorySpaceSlot::RemoveAll</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove all entities in this slot. </p>

</div>
</div>
<a class="anchor" id="ae9e3f15deb74e78e4df6aa8f5a8c354a"></a><!-- doxytag: member="iCelInventorySpaceSlot::RemoveEntity" ref="ae9e3f15deb74e78e4df6aa8f5a8c354a" args="(iCelEntity *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelInventorySpaceSlot.html#ae9e3f15deb74e78e4df6aa8f5a8c354a">iCelInventorySpaceSlot::RemoveEntity</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove this entity from the slot. </p>
<p>/return false if the entity can't be removed for some reason. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="inv_8h_source.html">inv.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
